MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027146Open CASCADE[OCCT] OCCT:Testspublic2016-02-09 17:282016-12-09 16:37
Reporterski 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027146: Create command checkplatform
DescriptionIn some test cases it is necessary to run platform-depended code or reference values.
So, for better clarity command checkplatform should be created.
It should work in two modes:
1) without arguments - return the name of current platform (value of $tcl_platform(platform) -> windows / unix )
2) with argument -windows or -unix - return true if current platform is equal to the argument
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0050550)
git (administrator)
2016-02-09 17:34

Branch CR27146 has been created by ski.

SHA-1: fe8f7f076318cae93a8dc4443ac646e06d62d5dc


Detailed log of new commits:

Author: ski
Date: Tue Feb 9 17:31:17 2016 +0300

    0027146: Create command checkplatform
    
    Command checkplatform was created.
    All test cases were updated.
(0050551)
ski (developer)
2016-02-09 17:34

Dear abv,
please review.
(0050552)
abv (manager)
2016-02-09 17:58

Please distinguish Mac OS X as separate platform (could be "osx").
(0050566)
git (administrator)
2016-02-10 12:54

Branch CR27146 has been updated by ski.

SHA-1: 1d07829439001a5472232a61f9af5648b0b946c3


Detailed log of new commits:

Author: ski
Date: Wed Feb 10 12:54:17 2016 +0300

    Global variable os_type was eliminated.
    New option -osx (MacOS) for procedure checkplatform was added.

(0050567)
ski (developer)
2016-02-10 13:10

Dear abv,

Global variable os_type was eliminated.
New option -osx (MacOS) for procedure checkplatform was added.

Please, review.
(0050728)
git (administrator)
2016-02-15 10:34

Branch CR27146 has been updated forcibly by ski.

SHA-1: 1b8e1621a3f8bada4b72e5c66f7fb8fe50a4df27
(0050731)
ski (developer)
2016-02-15 10:37

Branch CR27146 was rebased on current state of master.

Also, i have checked product repository and corrected some test cases to use procedure checkplatform. All changes are located in PRODUCT branch CR27146.
(0051030)
abv (manager)
2016-02-19 18:47

No remarks, please test
(0051086)
git (administrator)
2016-02-24 17:06

Branch CR27146 has been updated forcibly by mkv.

SHA-1: 7e7054e520a95c0730a196b6cfb87ecb8dc916c3
(0051137)
mkv (tester)
2016-02-25 17:17

Dear BugMaster,
Branch CR27146 was rebased on current master of occt git-repository.
SHA-1: 7e7054e520a95c0730a196b6cfb87ecb8dc916c3
(0051138)
mkv (tester)
2016-02-25 17:18

Dear BugMaster,
Branch CR27146 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 7e7054e520a95c0730a196b6cfb87ecb8dc916c3

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 41 (41 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 89317840 / 90554927 [-1.37%]
Total CPU difference: 19263.940000000057 / 19576.420000000107 [-1.60%]
products component :
Total MEMORY difference: 26027868 / 25872807 [+0.60%]
Total CPU difference: 5373.779999999992 / 5316.139999999985 [+1.08%]

Testing on Windows:
occt component :
Total MEMORY difference: 57371720 / 57106337 [+0.46%]
Total CPU difference: 19269.71152299935 / 17710.10712559875 [+8.81%]
products component :
Total MEMORY difference: 17492873 / 17395600 [+0.56%]
Total CPU difference: 5548.300365799991 / 5095.257861699954 [+8.89%]

There are no differences in images found by testdiff.
(0051139)
mkv (tester)
2016-02-25 17:18

Dear BugMaster,
Branch CR27146 is TESTED.
(0053115)
git (administrator)
2016-04-17 14:14

Branch CR27146 has been deleted by kgv.

SHA-1: 7e7054e520a95c0730a196b6cfb87ecb8dc916c3

- Related Changesets
occt: master 863f782a
Timestamp: 2016-02-09 14:31:17
Author: ski
Committer: bugmaster
Details ] Diff ]
0027146: Create command checkplatform

Command checkplatform was created.
All test cases were updated.

Global variable os_type was eliminated.
New option -osx (MacOS) for procedure checkplatform was added.
mod - dox/dev_guides/tests/tests.md Diff ] File ]
mod - src/DrawResources/CheckCommands.tcl Diff ] File ]
mod - src/DrawResources/TestCommands.tcl Diff ] File ]
mod - tests/3rdparty/export/A1 Diff ] File ]
mod - tests/bugs/caf/bug23071 Diff ] File ]
mod - tests/bugs/fclasses/bug23852 Diff ] File ]
mod - tests/bugs/fclasses/bug309 Diff ] File ]
mod - tests/bugs/modalg_2/bug426 Diff ] File ]
mod - tests/bugs/modalg_5/bug23906 Diff ] File ]
mod - tests/bugs/modalg_5/bug25019 Diff ] File ]
mod - tests/bugs/modalg_5/bug25413 Diff ] File ]
mod - tests/bugs/modalg_6/bug26447 Diff ] File ]
mod - tests/bugs/moddata_1/bug15519 Diff ] File ]
mod - tests/bugs/moddata_1/bug21292 Diff ] File ]
mod - tests/bugs/moddata_2/bug567 Diff ] File ]
mod - tests/bugs/moddata_3/bug25487_1 Diff ] File ]
mod - tests/bugs/moddata_3/bug25487_2 Diff ] File ]
mod - tests/bugs/vis/bug21091_3 Diff ] File ]
mod - tests/bugs/vis/bug21091_4 Diff ] File ]
mod - tests/bugs/vis/bug21091_5 Diff ] File ]
mod - tests/bugs/vis/bug21091_6 Diff ] File ]
mod - tests/bugs/vis/bug21091_8 Diff ] File ]
mod - tests/bugs/vis/bug21091_9 Diff ] File ]
mod - tests/bugs/vis/bug22188 Diff ] File ]
mod - tests/bugs/vis/bug232 Diff ] File ]
mod - tests/bugs/vis/bug26424 Diff ] File ]
mod - tests/bugs/xde/bug22898 Diff ] File ]
mod - tests/chamfer/data/complex/B9 Diff ] File ]
mod - tests/demo/draw/getsource Diff ] File ]
mod - tests/mesh/data/standard/G1 Diff ] File ]
mod - tests/mesh/data/standard/U7 Diff ] File ]
mod - tests/perf/fclasses/bug24947 Diff ] File ]
mod - tests/perf/ncollection/A1 Diff ] File ]
mod - tests/perf/ncollection/A2 Diff ] File ]
mod - tests/perf/ncollection/A3 Diff ] File ]
mod - tests/xml/begin Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-02-09 17:28 ski New Issue
2016-02-09 17:28 ski Assigned To => ski
2016-02-09 17:28 ski Status new => assigned
2016-02-09 17:34 git Note Added: 0050550
2016-02-09 17:34 ski Note Added: 0050551
2016-02-09 17:34 ski Assigned To ski => abv
2016-02-09 17:34 ski Status assigned => resolved
2016-02-09 17:58 abv Note Added: 0050552
2016-02-09 17:58 abv Assigned To abv => ski
2016-02-09 17:58 abv Status resolved => assigned
2016-02-10 12:54 git Note Added: 0050566
2016-02-10 13:10 ski Note Added: 0050567
2016-02-10 13:10 ski Assigned To ski => abv
2016-02-10 13:10 ski Status assigned => resolved
2016-02-15 10:34 git Note Added: 0050728
2016-02-15 10:37 ski Note Added: 0050731
2016-02-19 18:47 abv Note Added: 0051030
2016-02-19 18:47 abv Assigned To abv => bugmaster
2016-02-19 18:47 abv Status resolved => reviewed
2016-02-24 16:03 mkv Assigned To bugmaster => mkv
2016-02-24 17:06 git Note Added: 0051086
2016-02-25 17:17 mkv Note Added: 0051137
2016-02-25 17:18 mkv Note Added: 0051138
2016-02-25 17:18 mkv Note Added: 0051139
2016-02-25 17:18 mkv Assigned To mkv => bugmaster
2016-02-25 17:18 mkv Status reviewed => tested
2016-02-25 17:18 mkv Test case number => Not needed
2016-04-08 11:55 bugmaster Changeset attached => occt master 863f782a
2016-04-08 11:55 bugmaster Status tested => verified
2016-04-08 11:55 bugmaster Resolution open => fixed
2016-04-17 14:14 git Note Added: 0053115
2016-12-09 16:33 user533 Status verified => closed
2016-12-09 16:37 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker